Project Repository
- GET
- /workspaces
- /:workspace
- /targets
- /:target_id
Get a specific Project Repository target by ID
Request
REQUIRED SCOPES
TARGET_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
target_idrequiredstring
Target unique identifier (hash ID)Example: "tgt-1234567890abcdef"
Response
RESPONSE BODY
typestring
The type of the targetValue: PROJECT_REPO
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidstring
The ID of the targetidentifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).namestring
The name of the targetprojectShortProjectView
Short representation of a projectpipelineShortPipelineView
Short representation of a pipelineenvironmentShortEnvironmentView
permissionsPermissionsView
Access permissions configurationpipelines_access_levelstring enum
Pipelines access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this targetsandboxes_access_levelstring enum
Sandboxes access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this targetallowed_environmentsAllowedEnvironmentView[]
List of environments whose sandboxes are allowed to use this target. A rule for a specific sandbox takes precedence over an environment rule.disabledboolean
Indicates if this target is disabled (default: false)tagsstring[]
The list of tags associated with the targetConstraints: Unique items required
use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)notestring
Note for this resourceagent_notestring
YAML note for AI agents operating on this resourceLast modified on Nov 10, 2026
Request example
CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/targets/:target_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
STATUS
200 OK